function varargout=plotKuhnDecomposition(d,varargin)
  assert(d==2 | d==3)
  p = inputParser; 
  p.addParamValue('order',1);
  p.addParamValue('vcolor','k'); % vertices color
  p.addParamValue('vsize',70); % 
  p.addParamValue('ncolor','DarkSlateGray'); % nodes color
  p.addParamValue('nsize',30); % 
  p.addParamValue('FontSize',10);
  p.addParamValue('LineWidth',1.5);
  p.addParamValue('EltNum',[]); % Element number 
  p.addParamValue('EltFaceColor','m');
  p.addParamValue('EltFaceAlpha',0.2);
  %p.addParamValue('EltEdgeColor','m');
  p.addParamValue('view',[-80,12]);
  p.parse(varargin{:});
  R=p.Results;
  order=R.order;
  Oh=fc_hypermesh.OrthMesh(d,ones(1,d),'type','simplex','order',order);
  clf
  Oh.plotmesh('LineWidth',R.LineWidth)                            
  hold on
  Oh.plotnodes('vcolor',R.vcolor,'vsize',R.vsize,'ncolor',R.ncolor,'nsize',R.nsize)     
  c=1/20;
  if d==3
    D=[c;c;c];
    A=[0 1+c 0 1+c 0 1+c];
  elseif d==2
    D=[c;c];
    A=[0 1+c 0 1+c ];
  end
  fc_hypermesh.plotNodesNumber(Oh.Mesh.q+D,'FontSize',R.FontSize,'EdgeColor','k')
  Oh.ploteltsNumber('vLineColor','element','EdgeColor','element','FontWeight','bold')
  %if d==3, view([124,9]);end
  if d==3, view(R.view);end
  
  q=Oh.Mesh.q;me=Oh.Mesh.me;
  Idx=fc_hypermesh.VerticesIdxSimpRef(d,order);
  idx=nchoosek(Idx,3);
  ME=[];
  for i=1:size(idx,1) 
    ME=[ME;me(idx(i,:),R.EltNum)'];
  end
  h=patch('Vertices',q','Faces',ME,'EdgeColor','k','FaceColor',R.EltFaceColor,'facealpha',R.EltFaceAlpha); 
  axis image
  axis(A)
  if nargout==1, varargout{1}=Oh;end
end
