function varargout=plotOrder3DMesh(order,varargin)
  close all
  p = inputParser; 
  p.addParamValue('type','simplex', @(x) ismember(lower(x),{'simplex','orthotope'}));
  p.addParamValue('N',2:4);
  p.addParamValue('vcolor','k'); % vertices color
  p.addParamValue('vsize',70); % 
  p.addParamValue('ncolor','DarkSlateGray'); % nodes color
  p.addParamValue('nsize',30); % 
  p.addParamValue('LineWidth',1.5);
  p.addParamValue('view',[-80,12]);
  p.addParamValue('bdlabels',1:6); % boundary labels to draw
  p.parse(varargin{:});
  R=p.Results;

  Oh=fc_hypermesh.OrthMesh(3,R.N,'type',R.type,'order',order);
  figure(1)
  Oh.plotmesh('LineWidth',R.LineWidth)
  hold on
  Oh.plotnodes('vcolor',R.vcolor,'vsize',R.vsize,'ncolor',R.ncolor,'nsize',R.nsize)
  view(R.view)
  axis image

  figure(2)
  Oh.plotmesh('m',2,'labels',R.bdlabels,'legend',true,'LineWidth',R.LineWidth)
  hold on
  Oh.plotnodes('m',2,'labels',R.bdlabels,'vcolor',R.vcolor,'vsize',R.vsize,'ncolor',R.ncolor,'nsize',R.nsize)
  view(R.view)
  axis image

  figure(3)
  Oh.plotmesh('m',1,'legend',true,'LineWidth',R.LineWidth)
  hold on
  Oh.plotnodes('m',1,'vcolor',R.vcolor,'vsize',R.vsize,'ncolor',R.ncolor,'nsize',R.nsize)
  view(R.view)
  axis image
  
  figure(4)
  Oh.plotmesh('m',0,'legend',true,'LineWidth',R.LineWidth)
  hold on
  Oh.plotnodes('m',0,'vcolor',R.vcolor,'vsize',R.vsize,'ncolor',R.ncolor,'nsize',R.nsize)
  view(R.view)
  axis image
  fc_tools.graphics.DisplayFigures()
  if nargout==1, varargout{1}=Oh;end
end
